Skip to content

Get futures funding rate history

GET
/v1/public/futures/funding/history

Returns the funding rate history for the specified Futures pair. The results of this request may be filtered by currencyPair, startTime and endTime. The skip and limit parameters may be applied to paginate the filtered results. The currencyPair parameter may be used to filter the returned items by the name of the perpetual futures contract expressed as base, quote, PERP, e.g. BTCUSDTPERP. The startTime or endTime parameters may be used to filter the returned items by the funding rate period. The parameters will be interpreted as being in the UTC time zone and must be supplied in the ISO 8601 format (2023-11-14T22:00:00.000Z). These two parameters may be used together or separately. When startTime is used, funding rates that have been active since startTime are returned. When endTime is used, funding rates that have been active up to and including endTime are returned. When not specified, 30 days worth of funding rates are returned by default.

Parameters

Query Parameters

currencyPair*

The name of the perpetual futures contract expressed as base, quote, PERP, e.g. BTCUSDTPERP

Type
string
Required
skip

Skip this number of results. Default: 0

Type
integer
Format
"int32"
limit

Limit the results to this number. Default and Max: 100

Type
integer
Format
"int32"
startTime

Include only funding rates after this ISO 8601 start time

Type
string
endTime

Include only funding rates before this ISO 8601 end time

Type
string

Responses

Funding rate history retrieved successfully

application/json
JSON
[
{
"currencyPair": "BTCUSDTPERP",
"fundingRate": "0.000277",
"fundingTime": "2025-07-16T11:00:00Z"
},
{
"currencyPair": "BTCUSDTPERP",
"fundingRate": "0.000313",
"fundingTime": "2025-07-16T10:00:00Z"
}
]

Playground

Variables
Key
Value

Samples